## strigi 0.7.7

=== libstreamanalyzer/plugins/throughplugins/CMakeLists.txt ===
MACRO(ADD_STRIGITA libname files)
  if(WIN32)
    # this is needed to have mingw, cygwin and msvc libs installed in one directory
    if(MSVC)
      set(prefix msvc_strigita_)
    elseif(CYGWIN)
      set(prefix cyg_strigita_)
    elseif(MINGW)
      set(prefix mingw_strigita_)
    endif(MSVC)
  else(WIN32)
    set(prefix strigita_)
  endif(WIN32)
  add_library(${libname} MODULE ${files})
  set_target_properties(${libname} PROPERTIES
    PREFIX ${prefix})
  target_link_libraries(${libname} streamanalyzer)
  install(TARGETS ${libname} LIBRARY DESTINATION ${LIB_DESTINATION}/strigi)
ENDMACRO(ADD_STRIGITA)

if (XATTR_FOUND)
#  ADD_STRIGITA(xattr xattrthroughanalyzer.cpp)
endif (XATTR_FOUND)

ADD_STRIGITA(pcx pcxthroughanalyzer.cpp)
ADD_STRIGITA(xbm xbmthroughanalyzer.cpp)
ADD_STRIGITA(au  authroughanalyzer.cpp)
ADD_STRIGITA(gif gifthroughanalyzer.cpp)
ADD_STRIGITA(ico icothroughanalyzer.cpp)
ADD_STRIGITA(sid sidthroughanalyzer.cpp)
ADD_STRIGITA(rgb rgbthroughanalyzer.cpp)
ADD_STRIGITA(dds ddsthroughanalyzer.cpp)

# Bug 164296: these two analyzers are dummy leftovers.They make sure that
# possible original, broken analyzers are overwritten/neutralized.
ADD_STRIGITA(avi dummy.cpp)
ADD_STRIGITA(wav dummy.cpp)

# disabled until a good check for making sure the file is a tga
#ADD_STRIGITA(tga  tgathroughanalyzer.cpp)

=== debian/changelog ===
strigi (0.7.7-3) unstable; urgency=low

  * Team upload
  * Backport a patch I wrote for upstream to fix a crash when parsing mp3
    files. (Closes: #678698)

 -- Sune Vuorela <sune@debian.org>  Sun, 24 Jun 2012 17:39:53 +0200

strigi (0.7.7-2) unstable; urgency=low

  * Team upload.
  * Bump Standards-Version to 3.9.3, no changes required.
  * rules: use make functions to filter the list of libraries.
  * Bump to debhelper compat 9:
    - bump debhelper build dependency to >= 9
    - bump compat to 9
  * Revert the changes done in 0.7.7-1.1, as now with dh compat 9 the build
    flags are properly exported and used.
  * rules: explicitly disable the XSD regeneration (which uses java).
  * copyright: explicitly refer to /usr/share/common-licenses/GPL-2 instead of
    /usr/share/common-licenses/GPL.
  * Backport upstream commit a8e97f672325557b3fbc84b987299350ec5ac10b (from the
    strigidaemon repository) to fix build with GCC 4.7; patch
    upstream_gcc47-fix-unistd.h-header-required-unconditionally-f.patch.
    (Closes: #667384)
  * Encode also the SONAME in .install files of libraries.
  * Remove the symbols files for libsearchclient0, libstrigihtmlgui0, and
    libstrigiqtdbusclient0, since they are not really worth to maintain
    (the libraries are not really used), and autogenerated shlibs should be
    enough for them. (Closes: #671850)

 -- Pino Toscano <pino@debian.org>  Tue, 08 May 2012 14:57:46 +0200

strigi (0.7.7-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Apply patch from Thomas Weber <tweber@debian.org> to
    enable builds with debug symbols. (Closes: #659893)

 -- Neil Williams <codehelp@debian.org>  Sat, 03 Mar 2012 16:59:19 +0000

strigi (0.7.7-1) unstable; urgency=low

  * New upstream release.
  * Drop Revert_patch_that_breaks_parsing_of_PDF_files.patch - stolen upstream.
  * Switch to pkg-kde symbolshelper.
  * Update debian/*.symbols files for amd64 and i386 architectures.
    (Closes: #653804)

 -- Fathi Boudra <fabo@debian.org>  Sat, 31 Dec 2011 10:19:20 +0200

=== debian/control ===
Source: strigi
Section: utils
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>
Build-Depends: cmake (>= 2.8.0),
               dbus-x11,
               debhelper (>= 9),
               libavcodec-dev,
               libavformat-dev,
               libboost-dev,
               libbz2-dev,
               libclucene-dev (>= 0.9.21b),
               libdbus-1-dev,
               libexiv2-dev,
               libpostproc-dev,
               libqt4-dev (>= 4.4.3),
               libswscale-dev,
               libxml2-dev,
               libxml2-utils,
               pkg-kde-tools (>= 0.9.3),
               zlib1g-dev
Standards-Version: 3.9.3
Homepage: http://strigi.sourceforge.net
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/strigi/trunk
Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/strigi/trunk

Package: strigi-daemon
Architecture: any
Depends: dbus-x11 | dbus, poppler-utils, ${misc:Depends}, ${shlibs:Depends}
Suggests: strigi-plugins
Description: fast indexing and searching tool for your personal data (daemon)
 Strigi is a program for fast indexing and searching your personal data. It can
 gather and index information from files in the filesystem even if they are
 hidden in emails or archives. It comes with a Qt4 GUI, an HTML GUI and a KDE
 GUI.
 .
 Main features:
  * very fast crawling
  * very small memory footprint
  * no hammering of the system
  * clucene backend
  * DBus and socket interfaces are available for communication between daemon
    and search programs
  * simple interface for implementing plugins for extracting information. we'll
    try to reuse the kat plugins, although native plugins will have a large
    speed advantage
  * calculation of sha1 for every file crawled (allows fast finding of
    duplicates)
 .
 This package contains the Strigi daemon

Package: strigi-client
Architecture: any
Section: x11
Depends: strigi-daemon, ${misc:Depends}, ${shlibs:Depends}
Description: Qt4 client for Strigi Desktop Search
 Strigi client is a Qt4 client (GUI) for the Strigi Desktop Search software.
 .
 This package is part of Strigi Desktop Search, it contains the Qt4 client.
 .
 See the 'strigi-daemon' package for more information.

Package: strigi-utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: strigi-daemon (<< 0.3.11-1)
Description: command-line tools for Strigi Desktop Search
 This package is part of Strigi Desktop Search, it contains utilities powered
 by Strigi:
  * deepfind, an enhanced version of find. It lists files embedded in other
    files like .deb, .rpm, .tar.gz, email attachments, and other files.
  * deepgrep, an enhanced version of grep. It searches in binary files like
    OpenOffice files, mp3s, Microsoft office files, pdfs and also in files
    embedded in other files like .deb, .rpm, .tar.gz, email attachments, pdf
    and other files.
  * xmlindexer, a program that outputs the file parsing results as xml.
    It walks through a directory and outputs an XML file containing all
    the metadata and text it can extract from the files it encounters.
    This means that the Strigi's powers of data extraction are now available
    to all applications that can parse XML simply by calling xmlindexer and
    parsing the output.
 .
 See the 'strigi-daemon' package for more information.

Package: libstreams0
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: strigi-daemon (<< 0.3.11-1)
Description: streams library for for Strigi Desktop Search
 This package is part of Strigi Desktop Search, it contains a library for
 writing clients using libstreams.
 .
 See the 'strigi-daemon' package for more information.

Package: libstreams-dev
Architecture: any
Section: libdevel
Depends: libstreams0 (= ${binary:Version}), ${misc:Depends}
Description: development files for libstreams
 This package is part of Strigi Desktop Search, it contains the Strigi
 development files for libstreams.
 .
 See the 'strigi-daemon' package for more information.

Package: libstreamanalyzer0
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: kdegraphics-strigi-plugins (<< 4:4.0.0-2),
          libcluceneindex0 (<< 0.5.6-1),
          libstreamindexer0 (<< 0.5.1-1),
          strigi-daemon (<< 0.3.11-1)
Breaks: libcluceneindex0 (<< 0.5.6-1), libstreamindexer0 (<< 0.5.1-1)
Description: streamanalyzer library for Strigi Desktop Search
 This package is part of Strigi Desktop Search, it contains a library for
 writing clients using libstreamanalyzer.
 .
 See the 'strigi-daemon' package for more information.

Package: libstreamanalyzer-dev
Architecture: any
Section: libdevel
Depends: libstreamanalyzer0 (= ${binary:Version}),
         libstreams-dev (= ${binary:Version}),
         ${misc:Depends}
Replaces: libcluceneindex-dev (<< 0.5.6-1), libstreamindexer-dev (<< 0.5.1-1)
Breaks: libcluceneindex-dev (<< 0.5.6-1), libstreamindexer-dev (<< 0.5.1-1)
Description: development files for libstreamanalyzer
 This package is part of Strigi Desktop Search, it contains the Strigi
 development files for libstreamanalyzer.
 .
 See the 'strigi-daemon' package for more information.

Package: libsearchclient0
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: strigi-daemon (<< 0.3.11-1)
Description: searchclient library for Strigi Desktop Search
 This package is part of Strigi Desktop Search, it contains a library for
 writing clients.
 .
 See the 'strigi-daemon' package for more information.

Package: libsearchclient-dev
Architecture: any
Section: libdevel
Depends: libsearchclient0 (= ${binary:Version}),
         libstreamanalyzer-dev (= ${binary:Version}),
         ${misc:Depends}
Description: development files for libsearchclient
 This package is part of Strigi Desktop Search, it contains the Strigi
 development files for libsearchclient.
 .
 See the 'strigi-daemon' package for more information.

Package: libstrigihtmlgui0
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for writing html clients for Strigi Desktop Search
 This package is part of Strigi Desktop Search, it contains a library for
 writing html clients.
 .
 See the 'strigi-daemon' package for more information.

Package: libstrigihtmlgui-dev
Architecture: any
Section: libdevel
Depends: libsearchclient-dev (= ${binary:Version}),
         libstrigihtmlgui0 (= ${binary:Version}),
         ${misc:Depends}
Description: development files for libstrigihtmlgui
 This package is part of Strigi Desktop Search, it contains the Strigi
 development files for libstrigihtmlgui.
 .
 See the 'strigi-daemon' package for more information.

Package: libstrigiqtdbusclient0
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for writing D-Bus clients for Strigi Desktop Search
 This package is part of Strigi Desktop Search, it contains a library for
 writing Qt D-Bus clients for strigi.
 .
 See the 'strigi-daemon' package for more information.

Package: libstrigiqtdbusclient-dev
Architecture: any
Section: libdevel
Depends: libqt4-dev (>= 4.4.0~),
         libstreams-dev (= ${binary:Version}),
         libstrigiqtdbusclient0 (= ${binary:Version}),
         ${misc:Depends}
Description: development files for libstrigiqtdbusclient
 This package is part of Strigi Desktop Search, it contains the Strigi
 development files for libstrigiqtdbusclient.
 .
 See the 'strigi-daemon' package for more information.

Package: strigi-dbg
Priority: extra
Architecture: any
Section: debug
Depends: libstreamanalyzer0 (= ${binary:Version}),
         libstreams0 (= ${binary:Version}),
         libstrigiqtdbusclient0 (= ${binary:Version}),
         ${misc:Depends}
Description: debugging symbols for strigi
 This package contains the debugging symbols associated with strigi.
 .
 They will automatically be used by gdb for debugging strigi related issues.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

FILENAME := $(DEB_SOURCE_PACKAGE)_$(DEB_UPSTREAM_VERSION).orig.tar.gz
UPFILENAME := $(DEB_SOURCE_PACKAGE)-$(shell echo $(DEB_UPSTREAM_VERSION) | sed 's/~/-/').tar.bz2
URL := http://www.vandenoever.info/software/strigi/$(UPFILENAME)
CURRENTVERSION := $(shell dpkg-parsechangelog | sed -n 's/^Version: //p')
LIBPKGS := $(filter-out %-dev,$(filter lib%,$(shell dh_listpackages)))

%:
	dh $@ --parallel --list-missing --dbg-package=strigi-dbg --with pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_SKIP_RPATH=ON -DENABLE_REGENERATEXSD=OFF

override_dh_makeshlibs:
	dh_makeshlibs -V
	for pkg in $(LIBPKGS); do \
		sed 's/>=[^)]*/= $(CURRENTVERSION)/' debian/$$pkg/DEBIAN/shlibs >> debian/shlibs.local; \
	done

override_dh_clean:
	dh_clean
	rm -f debian/shlibs.local

override_dh_auto_test:

get-orig-source:
	@@dh_testdir
	@@[ -d ../tarballs/. ] || mkdir -p ../tarballs
	@@echo Downloading $(UPFILENAME) from $(URL) ...
	@@wget -N -nv -T10 -t3 -O ../tarballs/$(UPFILENAME) $(URL)
	@@echo Converting $(UPFILENAME) to $(FILENAME)
	@@bzcat ../tarballs/$(UPFILENAME) | gzip -9 > ../tarballs/$(FILENAME)
